
/**************************************************************************
**  (c) Copyright 2007, Andromeda Technology & Automation
** This is free software; you can redistribute it and/or modify it under the
** terms of the GNU General Public License, see the file COPYING.
***************************************************************************
** MODULE INFORMATION *
***********************
**      FILE NAME      : df_filter.h
**      SYSTEM NAME    : 
**      VERSION NUMBER : $Revision: 1.1 $
**
**  DESCRIPTION      :  
**
**  EXPORTED OBJECTS : 
**  LOCAL    OBJECTS : 
**  MODULES  USED    :
***************************************************************************
**  ADMINISTRATIVE INFORMATION *
********************************
**      ORIGINAL AUTHOR : Arjen Baart - arjen@andromeda.nl
**      CREATION DATE   : Oct 31, 2007
**      LAST UPDATE     : Oct 31, 2007
**      MODIFICATIONS   : 
**************************************************************************/

/*****************************
   $Log: df_filter.h,v $
   Revision 1.1  2007/11/03 10:26:13  arjen
   Added a new filter which can directly read the output
   of the UNIX df command. A brief description is added in
   the user manual.

 *****************************/

/* static const char *RCSID = "$Id: df_filter.h,v 1.1 2007/11/03 10:26:13 arjen Exp $"; */

#include "message_filter.h"
#include "line_cooker.h"

/*
///////////////////////////////////////////////////////////////////////////
//  NAME           : df_filter
//  BASECLASS      : 
//  MEMBERS        :
//  OPERATORS      :
//  METHODS        : 
//
//  DESCRIPTION    : 
//
//  RELATIONS      :
//  SEE ALSO       :
//  LAST MODIFIED  : Oct 31, 2007
///////////////////////////////////////////////////////////////////////////
*/

class df_filter : public message_filter
{

protected:

public:

   df_filter(String host, UTC arriv, String service) : message_filter(host, arriv, service)
   {
   }

   virtual void construct_XML(message_buffer &in, std::strstream &xml);
};

/*
///////////////////////////////////////////////////////////////////////////
//  NAME           : df_cooker
//  BASECLASS      : 
//  MEMBERS        :
//  OPERATORS      :
//  METHODS        : 
//
//  DESCRIPTION    : 
//
//  RELATIONS      :
//  SEE ALSO       :
//  LAST MODIFIED  : Oct 31, 2007
///////////////////////////////////////////////////////////////////////////
*/

class df_cooker : public line_cooker
{

   bool df_detected;

protected:


public:

   df_cooker()
   {
      df_detected = false;
   }

   bool check_pattern(String logline);
   bool cook_this(String logline, UTC arrival);

   String message_type()
   {
      return "df report";
   }

};
