
/**************************************************************************
**  (c) Copyright 2003, Andromeda Technology & Automation
** This is free software; you can redistribute it and/or modify it under the
** terms of the GNU General Public License, see the file COPYING.
***************************************************************************
** MODULE INFORMATION *
***********************
**      FILE NAME      : log_filter.h
**      SYSTEM NAME    : 
**      VERSION NUMBER : $Revision: 1.1 $
**
**  DESCRIPTION      : Message filter for various kinds of log files. 
**
**  EXPORTED OBJECTS : 
**  LOCAL    OBJECTS : 
**  MODULES  USED    :
***************************************************************************
**  ADMINISTRATIVE INFORMATION *
********************************
**      ORIGINAL AUTHOR : Arjen Baart - arjen@andromeda.nl
**      CREATION DATE   : Nov 26, 2003
**      LAST UPDATE     : Nov 26, 2003
**      MODIFICATIONS   : 
**************************************************************************/

/*****************************
   $Log: log_filter.h,v $
   Revision 1.1  2003/12/04 10:38:09  arjen
   Major redesign. All input is handled through XML. Raw input data is first
   transformed into an XML document for further processing.
   A collection of polymorphic classes handle the transformation of various
   input formats into XML.
   Classifying input data is done with a finite improbability calculation.

*****************************/

/* static const char *RCSID = "$Id: log_filter.h,v 1.1 2003/12/04 10:38:09 arjen Exp $"; */

#ifndef LOG_FILTER_H
#define LOG_FILTER_H

#include "message_filter.h"

/*
///////////////////////////////////////////////////////////////////////////
//  NAME           : log_filter
//  BASECLASS      : message_filter
//  MEMBERS        :
//  OPERATORS      :
//  METHODS        : construct_XML
//
//  DESCRIPTION    : Transforms a log file into an XML document by putting
//                   each line of input into a <gcmt:raw> XML element.
//
//  RELATIONS      :
//  SEE ALSO       :
//  LAST MODIFIED  : Nov 26, 2003
///////////////////////////////////////////////////////////////////////////
*/

class log_filter : public message_filter
{

protected:

public:

   log_filter(String host, UTC arriv, String service) : message_filter(host, arriv, service)
   {
   }

   virtual void construct_XML(message_buffer &in, std::strstream &xml);
};

#endif // LOG_FILTER_H
