
/**************************************************************************
**  (c) Copyright 2002, Andromeda Technology & Automation
** This is free software; you can redistribute it and/or modify it under the
** terms of the GNU General Public License, see the file COPYING.
***************************************************************************
** MODULE INFORMATION *
***********************
**      FILE NAME      : xml_cooker.cpp
**      SYSTEM NAME    : 
**      VERSION NUMBER : $Revision: 1.1 $
**
**  DESCRIPTION      :  Detect whether the input stream is in XML format
**
**  EXPORTED OBJECTS : 
**  LOCAL    OBJECTS : 
**  MODULES  USED    :
***************************************************************************
**  ADMINISTRATIVE INFORMATION *
********************************
**      ORIGINAL AUTHOR : Arjen Baart - arjen@andromeda.nl
**      CREATION DATE   : Aug 06, 2003
**      LAST UPDATE     : Aug 06, 2003
**      MODIFICATIONS   : 
**************************************************************************/

/*****************************
   $Log: xml_cooker.cpp,v $
   Revision 1.1  2003/12/04 10:38:09  arjen
   Major redesign. All input is handled through XML. Raw input data is first
   transformed into an XML document for further processing.
   A collection of polymorphic classes handle the transformation of various
   input formats into XML.
   Classifying input data is done with a finite improbability calculation.

*****************************/

/* static const char *RCSID = "$Id: xml_cooker.cpp,v 1.1 2003/12/04 10:38:09 arjen Exp $"; */

#include <ctype.h>

#include "xml_cooker.h"

static const regex re_xml_header("xml .*\?>$");

bool xml_cooker::check_pattern(String logline)
{
   if (XML_detected)
   {
      return true;
   }
   else if (logline == re_xml_header)
   {
      XML_detected = true;
      return true;
   }
   else
   {
      return false;
   }
}

bool xml_cooker::cook_this(String logline, UTC arrival)
{

   return true;
}


