
/**************************************************************************
**  (c) Copyright 2002, Andromeda Technology & Automation
** This is free software; you can redistribute it and/or modify it under the
** terms of the GNU General Public License, see the file COPYING.
***************************************************************************
** MODULE INFORMATION *
***********************
**      FILE NAME      : object.cpp
**      SYSTEM NAME    : Gnucomo - Gnu Computer Monitoring
**      VERSION NUMBER : $Revision: 1.1 $
**
**  DESCRIPTION      :  Implementation of the Object class
**
**  EXPORTED OBJECTS : 
**  LOCAL    OBJECTS : 
**  MODULES  USED    :
***************************************************************************
**  ADMINISTRATIVE INFORMATION *
********************************
**      ORIGINAL AUTHOR : Arjen Baart - arjen@andromeda.nl
**      CREATION DATE   : Jul 08, 2005
**      LAST UPDATE     : Jul 08, 2005
**      MODIFICATIONS   : 
**************************************************************************/

/*****************************
   $Log: object.cpp,v $
   Revision 1.1  2007/01/11 13:49:54  arjen
   Experimental start of database OO abstraction layer.

*****************************/

static const char *RCSID = "$Id: object.cpp,v 1.1 2007/01/11 13:49:54 arjen Exp $";

#include "object.h"

extern std::ostream *Log;

/*=========================================================================
**  NAME           : Object
**  SYNOPSIS       : Object(gnucomo_database &db);
**  PARAMETERS     : 
**  RETURN VALUE   : Object constructor.
**
**  DESCRIPTION    : Create a new Object for which there is no representation
**                   in the database.
**
**  VARS USED      :
**  VARS CHANGED   :
**  FUNCTIONS USED :
**  SEE ALSO       :
**  LAST MODIFIED  : Jul 08, 2005
**=========================================================================
*/

Object::Object(const gnucomo_database &db) : database_entity(db, "object")
{
}

